Bug 823024 - when play in other language and flashcard sounds are missing , we have an python backtrace and don't let enter in the activity
when play in other language and flashcard sounds are missing , we have an pyt...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: childsplay (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 15:52 EDT by Sergio Monteiro Basto
Modified: 2012-06-02 19:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-02 19:54:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2012-05-18 15:52:23 EDT
Description of problem:

testing with:
childsplay --language=pt 



2012-05-18 02:14:18,034 - schoolsplay.SPMainCore.MainCoreGui - ERROR - Error in
flashcards start
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/childsplay_sp/SPMainCore.py", line
357, in start_start
    self.activity.start()
  File "/usr/lib/python2.7/site-packages/childsplay_sp/lib/flashcards.py", line
370, in start
    self.SPG.tellcore_info_dialog(_("Your language, %s, is not supported.\n I
will now switch to English" % self.loc))
AttributeError: Activity instance has no attribute 'loc'
2012-05-18 02:14:18,035 - schoolsplay.SPMainCore.MainCoreGui - ERROR - :
Activity instance has no attribute 'loc'


Version-Release number of selected component (if applicable):

childsplay-1.6-5.fc16.noarch

How reproducible:
childsplay --language=pt
click on activity flashcard

  
Actual results:
not enter in activity

Expected results:

enter in activity after give a info dialog.

Additional info:
Comment 1 Hans de Goede 2012-05-23 09:34:05 EDT
Thanks for the bug report, I'm preparing an updated package with this issue fixed now.
Comment 2 Fedora Update System 2012-05-23 10:27:21 EDT
childsplay-1.6-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/childsplay-1.6-6.fc17
Comment 3 Fedora Update System 2012-05-23 10:29:32 EDT
childsplay-1.6-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/childsplay-1.6-6.fc16
Comment 4 Fedora Update System 2012-05-24 11:33:52 EDT
Package childsplay-1.6-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing childsplay-1.6-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8288/childsplay-1.6-6.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-06-02 19:54:39 EDT
childsplay-1.6-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-06-02 19:55:11 EDT
childsplay-1.6-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.